## GeditAppActivatable GeditAppActivatable — Interface for activatable extensions on apps |

## Synopsis

                        GeditAppActivatable;
    void                gedit_app_activatable_activate      (GeditAppActivatable *activatable);
    void                gedit_app_activatable_deactivate    (GeditAppActivatable *activatable);

## Object Hierarchy

      GInterface
       +----GeditAppActivatable

## Prerequisites

GeditAppActivatable requires GObject.

## Properties

      "app"                      GeditApp*             : Read / Write / Construct Only

## Description

GeditAppActivatable is an interface which should be implemented by extensions that should be activated on a gedit application.

## Details

### GeditAppActivatable

    typedef struct _GeditAppActivatable GeditAppActivatable;

### gedit_app_activatable_activate ()

    void                gedit_app_activatable_activate      (GeditAppActivatable *activatable);

Activates the extension on the application.

`activatable` : | A GeditAppActivatable.

### gedit_app_activatable_deactivate ()

    void                gedit_app_activatable_deactivate    (GeditAppActivatable *activatable);

Deactivates the extension from the application.

`activatable` : | A GeditAppActivatable.

## Property Details

### The `"app"` property

      "app"                      GeditApp*             : Read / Write / Construct Only

The app property contains the gedit app for this GeditAppActivatable instance.

## See Also

PeasExtensionSet